import {FormRequest, ValidationRules} from '../../forms'
import {Is, Str} from '../../forms/rules/rules'
import {Singleton} from '../../di'
import {AuthenticatableCredentials} from '../types'

@Singleton()
export class BasicRegisterFormRequest extends FormRequest<AuthenticatableCredentials> {
    protected getRules(): ValidationRules {
        return {
            identifier: [
                Is.required,
                Str.lengthMin(1),
                Str.alphaNum,
            ],
            credential: [
                Is.required,
                Str.lengthMin(8),
                Str.confirmed,
            ],
        }
    }
}
